Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153487 - navigating between mailboxes, summary list scroll jumps around
Summary: navigating between mailboxes, summary list scroll jumps around
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-04 19:45 UTC by Andrew D. Stadler
Modified: 2018-04-11 07:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-02 18:41:03 UTC


Attachments (Terms of Use)

Description Andrew D. Stadler 2005-04-04 19:45:45 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323
Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
I track two IMAP mailboxes (work server & personal).  The left-hand pane lists
these, and others, as well as the subfolders.  I generally keep the summary
lines pane scrolled to the bottom to keep latest messages in view.  But clicking
back-and-forth in the two inboxes in the mailboxes pane causes the summary panes
to (sometimes) scroll up to a seemingly random selection.

Version-Release number of selected component (if applicable):
evolution 2.0.4-2

How reproducible:
Sometimes

Steps to Reproduce:
1.  Configure Evolution with two IMAP accounts and fairly full mailboxes
2.  Click once on mailbox #1, observe list of messages in inbox
3.  Scroll to bottom, click once on bottom entry to hilite & preview it.
4.  Repeat steps 2 & 3 with mailbox #2
5.  Now click again on mailbox #1, observe the message list has scrolled up a
ways    
6.  You may have to click back and forth a couple of times, or possibly do some
other ops, in order to see this.  You may also see it in mailbox #2 instead of
mailbox #1. 

Actual Results:  In certain conditions (haven't perfectly reproduced the how or
why) the scroll positions jump back to somewhere in the middle of the message list.

Expected Results:  Scroll position in message list should always be maintained.

Additional info:

Comment 1 Matthew Miller 2006-07-10 23:10:23 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 2 Matěj Cepl 2007-08-31 15:20:24 UTC
The distribution against which this bug was reported is no longer supported,
could you please reproduce this with the updated version of the currently
supported distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue
turns out to still be reproducible, please let us know in this bug report.  If
after a month's time we have not heard back from you, we will have to close this
bug as INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.

Comment 3 Matthew Barnes 2007-10-02 18:41:03 UTC
Closing as INSUFFICIENT_DATA.


Note You need to log in before you can comment on or make changes to this bug.